<?php
include '../dbcon.php';


 ?>

 <!DOCTYPE html>
 <html lang="en" dir="ltr">
   <head>
     <meta charset="utf-8">
     <title></title>
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/datepicker/0.6.5/datepicker.js"></script>
     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
     <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datepicker/0.6.5/datepicker.css">
     <style media="screen">
       .box{
         background-color: #67793e;
         padding: 20px;
         color: #fff;
         text-align: center;
       }
       .logo{
         text-align: center;
         margin: 50px 0;
       }
       .dateSelector{
          margin: 10px 0 40px 0;
       }
       .code{
         margin: 40px 0 0px 0;
       }
       .code select{
         width: 100%;
         height: 40px;
         background-color: #fff;
         padding: 10px 15px;
       }
       .monthPicker{
          height: 40px;
          width: 100%;
          padding: 10px 15px;
       }
       .noPadding{
         padding: 0!important;
       }
       .box p{
         font-size: 20px;
       }

       #referrals {
         font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
         border-collapse: collapse;
         width: 100%;
       }

       #referrals td, #referrals th {
         border: 1px solid #ddd;
         padding: 8px;
       }

       #referrals tr:nth-child(even){background-color: #f2f2f2;}

       #referrals tr:hover {background-color: #ddd;}

       #referrals th {
         padding-top: 12px;
         padding-bottom: 12px;
         text-align: left;
         background-color: #67793e;
         color: white;
       }
       .showSection{
         display:none;
       }
       .btn{
          padding: 10px 15px;
          border: 1px solid transparent;
          border-radius: 0;
          background-color: #617935;
          color: #fff;
          -webkit-transition: background-color 0.4s ease-out;
          -moz-transition: background-color 0.4s ease-out;
          -ms-transition: background-color 0.4s ease-out;
          -o-transition: background-color 0.4s ease-out;
          transition: background-color 0.4s ease-out;
       }
       .btn:hover{
         background-color: #83a448!important;
          color: #fff;
       }

       .btnAlt{
          padding: 10px 15px;
          border: 1px solid transparent;
          border-radius: 0;
          background-color: #abd040;
          color: #fff;
          -webkit-transition: background-color 0.4s ease-out;
          -moz-transition: background-color 0.4s ease-out;
          -ms-transition: background-color 0.4s ease-out;
          -o-transition: background-color 0.4s ease-out;
          transition: background-color 0.4s ease-out;
       }
       .btnAlt:hover{
         background-color: #8ba936!important;
          color: #fff;
       }
       .fullWidth{
         width: 100%;
       }
       .markPaid{
         display: none;
       }
     </style>
   </head>
   <body>

     <div class="container">
       <div class="col-md-12 logo">
         <img src="https://cdn.shopify.com/s/files/1/0100/9932/7040/files/gov2019-logo_260x.png?v=1549333613" alt="">
       </div>
       <div class="col-md-12">
         <a href="createCode.php" class="btn">Create Referral Code</a>
       </div>
       <div class="col-md-12 code noPadding">
         <select class="" name="referralCode">
           <option value="">Select Referral Code</option>
           <?php
             $getCode = mysqli_query($con,"SELECT * FROM `referralCodes`");
             while ($getCodeRows = mysqli_fetch_array($getCode)) {
              echo '<option value="'.$getCodeRows['code'].'">'.$getCodeRows['code'].'</option>';
             }
            ?>
         </select>
       </div>
       <div class="col-md-12 dateSelector noPadding">
         <input type="text" name="" value="" placeholder="Select Month" class="monthPicker">
       </div>

       <div class="showSection">
         <div class="row">
           <div class="col-md-4">
             <div class="box">
               <h3>Total Referrals</h3>
               <p id="totalReferrals">99</p>
             </div>
           </div>
           <div class="col-md-4">
             <div class="box">
               <h3>Total Referral Revenue</h3>
               <p id="totalReferralRevenue">$1034</p>
             </div>
           </div>
           <div class="col-md-4">
             <div class="box">
               <h3>Total Payout</h3>
               <p id="totalPayout">$10</p>
             </div>
             <div style="padding:10px 0;" class="">
               <form class="markPaid" action="markPaid.php" method="post">
                 <input type="hidden" name="paidDate" value="">
                 <input type="hidden" name="paidAmount" value="">
                 <input type="hidden" name="paidCode" value="">
                 <button class="btnAlt fullWidth">Mark as Paid</button>
               </form>
             </div>

           </div>
         </div>

         <div style="margin-top:75px;" class="row">
           <h3 style="text-align:center;margin-bottom:25px;">Order List</h3>
           <div class="col-md-12">
             <table id="referrals">
               <thead>
                 <tr>
                   <th>Order ID</th>
                   <th>Order Amount</th>
                   <th>View Order</th>
                 </tr>
               </thead>
               <tbody>

               </tbody>
             </table>
           </div>
         </div>
       </div>
     </div>


    <script type="text/javascript">
      $(".monthPicker").datepicker( {
          format: "yyyy-mm",
          viewMode: "months",
          minViewMode: "months"
      });
      $("select[name='referralCode']").change(function(){

        $("input[name='paidCode']").val($(this).val());

        var date = new Date();
        var dateStr = date.getFullYear()+"-"+ (date.getMonth()+1);

        $(".monthPicker").val(dateStr);
        $(".monthPicker").trigger("change");

      });


      $(".monthPicker").change(function(){
        $("input[name='paidDate']").val($(this).val());
        var date = $(this).val();
        var code = $("select[name='referralCode']").val();
        $.get("https://marketappz.com/order-delivery-date-app//referral/getStats.php?code="+code+"&month="+date, function(data, status){
          $("#referrals tbody tr").remove();

          var obj = JSON.parse(data);

          $("#totalPayout").text("$"+obj['totalPayout']);

          $("input[name='paidAmount']").val(obj['totalPayout']);

          $("#totalReferrals").text(obj['referralCount']);
          $("#totalReferralRevenue").text("$"+obj['totalRevenue']);
          $.each( obj['orders'], function( key, val ) {
            $("#referrals tbody").append('<tr><td>'+val['orderID']+'</td><td>'+val['orderValue']+'</td><td><a target="_blank" href="https://the-garden-of-vegan-au.myshopify.com/admin/orders/'+val['orderID']+'">View Order</a></td></tr>');
          });

          $.get("https://marketappz.com/order-delivery-date-app/referral/checkPaid.php?code="+code+"&month="+date, function(data, status){
            if (data == "paid") {

            }else{
              $(".markPaid").show();
            }
            $(".showSection").slideDown("slow");
          });
        });
      });



    </script>

   </body>
 </html>
